commit:     3ff945c37f253d63428ecfcd5f4c78f742cb8e63
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Tue Sep 11 17:34:02 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat Feb  9 20:12:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ff945c3

app-portage/g-sorcery: EAPI7, minor improvements

Closes: https://bugs.gentoo.org/665718
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/9829
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 app-portage/g-sorcery/g-sorcery-9999.ebuild | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/app-portage/g-sorcery/g-sorcery-9999.ebuild 
b/app-portage/g-sorcery/g-sorcery-9999.ebuild
index 8425f5282fc..bb8f8a3556e 100644
--- a/app-portage/g-sorcery/g-sorcery-9999.ebuild
+++ b/app-portage/g-sorcery/g-sorcery-9999.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
 
@@ -27,14 +27,16 @@ RDEPEND="${DEPEND}"
 PDEPEND=">=app-portage/layman-2.2.0[g-sorcery(-),${PYTHON_USEDEP}]"
 
 python_test() {
-       PYTHONPATH="." "${PYTHON}" scripts/run_tests.py
+       PYTHONPATH="." "${PYTHON}" scripts/run_tests.py || die
 }
 
 python_install_all() {
        distutils-r1_python_install_all
 
        doman docs/*.8
-       dohtml docs/developer_instructions.html
+       docinto html
+       dodoc docs/developer_instructions.html
        diropts -m0777
-       dodir /var/lib/g-sorcery
+       dodir /var/lib/${PN}
+       keepdir /var/lib/${PN}
 }

Reply via email to